ConstantScoreWeight (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.search, class: ConstantScoreWeight

Package org.apache.lucene.search

# Class ConstantScoreWeight

java.lang.Object
org.apache.lucene.search.Weight
org.apache.lucene.search.ConstantScoreWeight

All Implemented Interfaces:
  `SegmentCacheable`

public abstract class ConstantScoreWeight extends Weight
A Weight that has a constant score equal to the boost of the wrapped query. This is typically useful when building queries which do not produce meaningful scores and are mostly useful for filtering.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.search.Weight

  `Weight.DefaultBulkScorer, Weight.DefaultScorerSupplier`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.search.Weight

  `parentQuery`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ConstantScoreWeight(Query query, float score)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Explanation`
  `explain(LeafReaderContext context, int doc)`
  An explanation of the score computation for the named document.
  `protected final float`
  `score()`
  Return the score produced by this `Weight`.

  ### Methods inherited from class org.apache.lucene.search.Weight

  `bulkScorer, count, getQuery, matches, scorer, scorerSupplier`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.search.SegmentCacheable

  `isCacheable`

- ## Constructor Details

  - ### ConstantScoreWeight

    protected ConstantScoreWeight(Query query, float score)

- ## Method Details

  - ### score

    protected final float score()
    Return the score produced by this `Weight`.

  - ### explain

    public Explanation explain(LeafReaderContext context, int doc) throws IOException
    Description copied from class: `Weight`
    An explanation of the score computation for the named document.
    Specified by:
      `explain` in class `Weight`
    Parameters:
      `context` - the readers context to create the `Explanation` for.
      `doc` - the document's id relative to the given context's reader
    Returns:
      an Explanation for the score
    Throws:
      `IOException` - if an `IOException` occurs